From b47becc54a746ecdae2edb885a7063bccaa12862 Mon Sep 17 00:00:00 2001
From: Amir Mohammadi <183.amir@gmail.com>
Date: Mon, 3 Oct 2016 16:43:29 +0200
Subject: [PATCH] Add code to manage conda envs

---
 conda/condarc_idiap.txt |  7 +++++++
 conda/create_new_env.sh | 44 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)
 create mode 100644 conda/condarc_idiap.txt
 create mode 100644 conda/create_new_env.sh

diff --git a/conda/condarc_idiap.txt b/conda/condarc_idiap.txt
new file mode 100644
index 0000000..460b35f
--- /dev/null
+++ b/conda/condarc_idiap.txt
@@ -0,0 +1,7 @@
+allow_other_channels : true
+show_channel_urls: True
+
+channels:
+  - file://idiap/group/torch5spro/conda_idiap
+  - defaults
+  - conda-forge
diff --git a/conda/create_new_env.sh b/conda/create_new_env.sh
new file mode 100644
index 0000000..3f1a9d5
--- /dev/null
+++ b/conda/create_new_env.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+set -xe
+
+# usage create_new_env.sh (-n env_name|-p env_folder) pyver [bobver]
+# This is intented to be used only with our conda installation at idiap/group/torch5spro
+# example create_new_env.sh -n bob-2.3.4-py27_0 2.7
+# example create_new_env.sh -n bob-2.3.4-py27_0 2.7 =2.3.4
+# example create_new_env.sh -n bob-2.3.4-py27_0 2.7 =2.3.4=py27_0
+# example create_new_env.sh -p /path/to/bob-2.2.0-py27_0 2.7
+
+conda create --yes $1 $2 --channel defaults --override-channels python=$3 anaconda
+source activate $2
+conda install --yes --no-update-deps bob$4 caffe tensorflow ipdb docopt sphinx_rtd_theme
+pip install bob.db.arface \
+	bob.db.atvskeystroke \
+	bob.db.avspoof \
+	bob.db.banca \
+	bob.db.biosecure \
+	bob.db.biosecurid.face \
+	bob.db.caspeal \
+	bob.db.frgc \
+	bob.db.gbu \
+	bob.db.kboc16 \
+	bob.db.lfw \
+	bob.db.livdet2013 \
+	bob.db.msu_mfsd_mod \
+	bob.db.mobio \
+	bob.db.multipie \
+	bob.db.replay \
+	bob.db.scface \
+	bob.db.utfvp \
+	bob.db.voxforge \
+	bob.db.xm2vts \
+	bob.db.youtube \
+	bob.bio.base \
+	bob.bio.gmm \
+	bob.bio.spear \
+	bob.bio.face \
+	bob.bio.video \
+	gridtk \
+	coveralls
+
+echo "You can now activate your environment like this:"
+echo "source activate $2"
-- 
GitLab